summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNathan Egge (unlord) <nathanegge@yahoo.com>2007-08-22 22:35:24 +0000
committerNathan Egge (unlord) <nathanegge@yahoo.com>2007-08-22 22:35:24 +0000
commit8d12590f0db9f2a5ea48818b9f26e36096598368 (patch)
treed52d44fcffe5faef596b1409cb1a1df676eebfbf /games-rpg/ft-demo/ft-demo-1.ebuild
parentgames-rpg/mi1-demo: Renaming application to match games-rpg/mi3-demo (diff)
downloadsunrise-8d12590f0db9f2a5ea48818b9f26e36096598368.tar.gz
sunrise-8d12590f0db9f2a5ea48818b9f26e36096598368.tar.bz2
sunrise-8d12590f0db9f2a5ea48818b9f26e36096598368.zip
games-rpg/ft-demo: New ebuild for bug 142319
svn path=/sunrise/; revision=4479
Diffstat (limited to 'games-rpg/ft-demo/ft-demo-1.ebuild')
-rw-r--r--games-rpg/ft-demo/ft-demo-1.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/games-rpg/ft-demo/ft-demo-1.ebuild b/games-rpg/ft-demo/ft-demo-1.ebuild
new file mode 100644
index 000000000..662903bc2
--- /dev/null
+++ b/games-rpg/ft-demo/ft-demo-1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils games
+
+DESCRIPTION="Full Throttle (Demo)"
+HOMEPAGE="http://www.lucasarts.com/games/fullthrottle/"
+SRC_URI="http://gentooexperimental.org/~unlord/ft-demo.zip"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+RESTRICT="strip"
+
+RDEPEND=">=games-engines/scummvm-0.8.2"
+DEPEND="app-arch/unzip"
+
+S=${WORKDIR}/ftdemo
+dir=${GAMES_DATADIR}/${PN}
+
+src_install() {
+ insinto "${dir}"
+ doins ft.{000,001} monster.sou || die "doins failed"
+ doins -r data video || die "doins -r failed"
+
+ games_make_wrapper ${PN} "scummvm -f -p \"${dir}\" ft"
+ doicon "${FILESDIR}/${PN}.png" || die "doicon failed"
+ make_desktop_entry ${PN} "Full Throttle (Demo)" ${PN}.png
+
+ prepgamesdirs
+}